﻿using UnityEngine;

public class CameraBackgroundColor : MVRScript
{
    private Camera mainCamera;
    private JSONStorableColor jColor;

    public override void Init()
    {
        mainCamera = CameraTarget.centerTarget.targetCamera;
        mainCamera.clearFlags = CameraClearFlags.SolidColor;
        jColor = new JSONStorableColor("Color", HSVColorPicker.RGBToHSV(0f, 0f, 1f), SetColor);
        RegisterColor(jColor);
        CreateColorPicker(jColor);
    }

    void Start() { SetColor(jColor.val.H, jColor.val.S, jColor.val.V); }

    private void SetColor(float h, float s, float v) {mainCamera.backgroundColor = Color.HSVToRGB(h, s, v); }

    void OnDestroy() { mainCamera.backgroundColor = Color.black; }
}